Update Webhook

Update a webhook

put

Updates an existing webhook.

Authorizations
AuthorizationstringRequired
Path parameters
webhookIdstringRequired
Header parameters
x-api-keystringRequired
Body

Contains details as input for creating or updating a webhook.

namestring · nullableOptional

The name of the webhook.

urlstring · nullableOptional

URL for the webhook to send events to.

eventTypesstring[] · nullableOptional

List of event types this webhook subscribes on.

enabledboolean · nullableOptional

Indicates the status of the webhook. If true events will be sent on the webhook, otherwise (false) event sendout is disabled.

Responses
chevron-right
200

Returns a updated webhook

application/json

Contains details about a webhook.

namestring · nullableOptional

The name of the webhook.

urlstring · nullableOptional

URL for the webhook to send events to.

eventTypesstring[] · nullableOptional

List of event types this webhook subscribes on.

enabledboolean · nullableOptional

Indicates the status of the webhook. If true events will be sent on the webhook, otherwise (false) event sendout is disabled.

idstring · uuidOptional

The webhook id.

put
/v1/webhooks/{webhookId}

Last updated